aboutsummaryrefslogtreecommitdiff
path: root/libraries/qt6/qt6.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/qt6/qt6.SlackBuild')
-rw-r--r--libraries/qt6/qt6.SlackBuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/libraries/qt6/qt6.SlackBuild b/libraries/qt6/qt6.SlackBuild
index 52e39a7501ee3..1343d547b8683 100644
--- a/libraries/qt6/qt6.SlackBuild
+++ b/libraries/qt6/qt6.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for qt6
-# Copyright 2022 Steven Voges <Oregon, USA>
+# Copyright 2022-2023 Steven Voges <Oregon, USA>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=qt6
SRCNAM=qt-everywhere-src
-VERSION=${VERSION:-6.4.0}
+VERSION=${VERSION:-6.4.2}
BSCLANG=libclang-release_130-based-linux-Ubuntu20.04-gcc9.3-x86_64
CCACHE=${CCACHE:-OFF}
EXAMPLES=${EXAMPLES:-OFF}
@@ -119,12 +119,16 @@ cd build
-DQT_BUILD_EXAMPLES=$EXAMPLES \
-DQT_USE_CCACHE=$CCACHE \
-DCMAKE_BUILD_TYPE=Release ..
- cmake --build . --parallel
+ cmake --build .
DESTDIR=$PKG cmake --install . --strip
cd ..
-mv $PKG/usr/phrasebooks $PKG/usr/share/$PRGNAM/
-# mv $PKG/usr/resources $PKG/usr/share/$PRGNAM/
+if [ -d "$PKG/usr/phrasebooks" ]; then
+ mv $PKG/usr/phrasebooks $PKG/usr/share/$PRGNAM/
+fi
+if [ -d "$PKG/usr/resources" ]; then
+ mv $PKG/usr/resources $PKG/usr/share/$PRGNAM/
+fi
if [ "$EXAMPLES" = "ON" ]; then
find -L $PKG/usr/doc/$PRGNAM-$VERSION/examples \
@@ -141,10 +145,10 @@ for i in $CWD/desktop/*.desktop; do
done
sed -i "s|@LIBDIR@|$LIBDIRSUFFIX|" $PKG/usr/share/applications/*
-# Install symlinks to the Qt6 binaries in the $PATH (avoid the ones already ending in "6"):
+# Install symlinks to the Qt6 binaries in the $PATH (avoid the ones already ending in "6" or "cmake"):
mkdir -p $PKG/usr/bin
for FILE in $PKG/usr/lib${LIBDIRSUFFIX}/qt6/bin/* ; do
- if ! [[ $FILE =~ 6$ ]]; then
+ if ! [[ $FILE =~ (6$|cmake$) ]]; then
ln -s ../lib${LIBDIRSUFFIX}/qt6/bin/$(basename $FILE) $PKG/usr/bin/$(basename $FILE)-qt6
fi
done